> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Display Volatility Parameters



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/RateAsset/GetVolatilityParameters
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/RateAsset/GetVolatilityParameters:
    post:
      tags:
        - RateAsset
      summary: Display Volatility Parameters
      operationId: GetVolatilityParameters
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiGetVolatilityCubeParametersRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiGetVolatilityCubeParametersRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiGetVolatilityCubeParametersRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiGetVolatilityCubeParametersRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetVolatilityCubeParametersResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetVolatilityCubeParametersRequest:
      example:
        provider_id: provider_id
        group_by: swap_maturity
        maturity_date: '2000-01-23T04:56:07.000+00:00'
        rate_asset_identifier: rate_asset_identifier
        vol_type: normal
        market_date: '2000-01-23T04:56:07.000+00:00'
      properties:
        provider_id:
          nullable: true
          type: string
        rate_asset_identifier:
          nullable: true
          type: string
        group_by:
          enum:
            - swap_maturity
            - swaption_maturity
          type: string
        vol_type:
          enum:
            - normal
            - log_normal
          type: string
        maturity_date:
          format: date-time
          type: string
        market_date:
          format: date-time
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiGetVolatilityCubeParametersRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiGetVolatilityCubeParametersResponse:
      example:
        vol_cube_parameters:
          - option_maturity: '2000-01-23T04:56:07.000+00:00'
            atm_forward: 0.8008281904610115
            alpha: 1.4658129805029452
            nu: 2.3021358869347655
            shift: 7.061401241503109
            rho: 5.637376656633329
            description: description
            beta: 5.962133916683182
            swap_maturity: '2000-01-23T04:56:07.000+00:00'
            atmf_vol: 6.027456183070403
          - option_maturity: '2000-01-23T04:56:07.000+00:00'
            atm_forward: 0.8008281904610115
            alpha: 1.4658129805029452
            nu: 2.3021358869347655
            shift: 7.061401241503109
            rho: 5.637376656633329
            description: description
            beta: 5.962133916683182
            swap_maturity: '2000-01-23T04:56:07.000+00:00'
            atmf_vol: 6.027456183070403
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        vol_cube_parameters:
          items:
            $ref: '#/components/schemas/RatesVolCubeParameters'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiGetVolatilityCubeParametersResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    RatesVolCubeParameters:
      example:
        option_maturity: '2000-01-23T04:56:07.000+00:00'
        atm_forward: 0.8008281904610115
        alpha: 1.4658129805029452
        nu: 2.3021358869347655
        shift: 7.061401241503109
        rho: 5.637376656633329
        description: description
        beta: 5.962133916683182
        swap_maturity: '2000-01-23T04:56:07.000+00:00'
        atmf_vol: 6.027456183070403
      properties:
        atm_forward:
          format: double
          type: number
        atmf_vol:
          format: double
          type: number
        alpha:
          format: double
          type: number
        beta:
          format: double
          type: number
        rho:
          format: double
          type: number
        nu:
          format: double
          type: number
        shift:
          format: double
          type: number
        option_maturity:
          format: date-time
          type: string
        swap_maturity:
          format: date-time
          type: string
        description:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.RatesVolCubeParameters,
              Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````